package com.ffii.fpsms.modules.master.entity

import com.ffii.core.support.AbstractRepository
import org.springframework.stereotype.Repository
import java.io.Serializable

@Repository
interface BomRepository : AbstractRepository<Bom, Long> {
    fun findAllByDeletedIsFalse(): List<Bom>

    fun findByIdAndDeletedIsFalse(id: Serializable): Bom?

    fun findByM18IdAndDeletedIsFalse(m18Id: Long): Bom?
}